#!/bin/bash

in="${1:-$(which ls)}"

for opts in "-T" "-E" "-v" "-TE" "-Tv" "-Ev" "-TEv"
do
  echo "Testing: (my)cat $opts $in ..."
  if [ "$(./mycat $opts <$in | md5sum)" = "$(cat $opts <$in | md5sum)" ]
  then
    echo "  SUCCESS"
  else
    echo "  FAILURE"
    exit 1
  fi
done

